[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: where are libgimp and libgimpui?



On Wed, 18 Feb 2004 08:24:41 -0500 (EST), Robert P. J. Day wrote:

> > >   grrrrrr ....
> > 
> > Grrrr. You've crippled your yum.conf file. The Fedora Core 1.90 base
> > channel is missing and hence The Gimp 1.2.5:
> > 
> > $ rpm --redhatprovides libgimp-1.2.so.0 libgimpui-1.2.so.0
> > gimp-1.2.5-1
> > gimp-1.2.5-1
> 
> i don't agree with your diagnosis.

I disagree with yours. Now what?

> in the first place, i'm using the
> original yum.conf file as it was installed, so i haven't "crippled" it in
> any way.  and, as it was installed, the only uncommented channel was the
> one for development.

Gimp 1.2.5 is part of base Fedora Core 1.90. When development moves to the
Gimp 2.0, it is natural that this breaks things until the next "Test"
release. Packages in the development stream are not equal to Fedora Core
Updates.

> isn't the base channel, by definition, the 
> contents of the original release?  if i installed everything, then, by 
> definition, don't i already have everything from the base channel?

Wrong assumption, because gimp-2.0 upgrades gimp-1.2.5, so as soon as that
happens you lose the stuff provided by gimp-1.2.5, which other "old"
packages still depend on until they are updated, too.
 
> which, by the way, i verified by noting that, yes, i do have gimp-1.2.5-1
> on this FC2-test1 box.

See above.

-- 




[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]